import Uuid from '@tonality/library-uuid'

export namespace models {
	export class User {
		id: Uuid

		username: string

		password: string
	}

	export class Ringtone {
		id: Uuid

		name: string

		data: string

		tempo: number

		createdAt: Date

		updatedAt: Date

		deletedAt?: Date | null

		composerUserId: Uuid
	}

	export class UserProfile {
		userId: Uuid

		bio?: string | null

		email?: string | null
	}
}
