import {DependencyContainer} from 'tsyringe';
import {AuthServiceImpl} from './service';
import {AuthControllerImpl} from './controller';

export default (container: DependencyContainer) => {
	container.register('AuthController', { useClass: AuthControllerImpl })
	container.register('AuthService', { useClass: AuthServiceImpl })
}
